Get RecordSets

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets

Get RecordSets for the given dataflowId

Path parameters

  • dataflowId string Required

    id of the Dataflow

Responses

  • 200 application/json

    OK

GET /dataflows/{dataflowId}/recordsets
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  "_id",
  "recordSetName",
  "owningEntity",
  "owningCollection",
  "description",
  "dataflowId",
  "version"
]